<?php
/*I have added it through action so that it is flexible to the developer to adapt change*/
add_action('biography_add_setting_control','biography_add_setting_control_callback', 12, 5);

if ( ! function_exists( 'biography_add_setting_control_callback' ) ) :
    /**
     * Function to add customizer setting and controls
     *
     * @access public
     * @since 1.0.0
     *
     * @param object $biography_wp_customize
     * @param string $biography_customizer_name common name for all setting and controls
     * @param array $biography_basic_control_types
     * @param string $biography_setting_control_key
     * @param array $biography_settings_control
     * @return void
     *
     */
    function biography_add_setting_control_callback( $biography_wp_customize, $biography_customizer_name, $biography_basic_control_types, $biography_setting_control_key, $biography_settings_control ){
        $biography_wp_customize->add_setting( esc_attr( $biography_customizer_name.'['.$biography_setting_control_key.']' ), $biography_settings_control['setting']);

        $biography_control_field_type = $biography_settings_control['control']['type'];

        /*check if basic control types*/
        if ( in_array( $biography_control_field_type, $biography_basic_control_types ) ) {
            $biography_wp_customize->add_control( esc_attr( $biography_customizer_name.'['.$biography_setting_control_key.']' ), $biography_settings_control['control']);
        }
        else {
            /*Check for default WP_Customize_Custom_Control defined*/
            $biography_Explode_Customize_Custom_Control_class_name = explode('_', strtolower( $biography_control_field_type ));
            $biography_Ucfirst_Customize_Custom_Control_class_name_array = array_map('ucfirst', $biography_Explode_Customize_Custom_Control_class_name);
            $biography_Implode_Customize_Custom_Control_class_name = implode('_', $biography_Ucfirst_Customize_Custom_Control_class_name_array);

            $biography_New_Customize_Custom_Control_class_name = 'WP_Customize_'.$biography_Implode_Customize_Custom_Control_class_name.'_Control';
            $biography_customizer_class_exist = false;
            if ( class_exists( $biography_New_Customize_Custom_Control_class_name ) ) {
                $biography_customizer_class_exist = true;
            }
            else{
                $biography_New_Customize_Custom_Control_class_name = 'Biography_Customize_'.$biography_Implode_Customize_Custom_Control_class_name.'_Control';
                if ( class_exists( $biography_New_Customize_Custom_Control_class_name ) ) {
                    $biography_customizer_class_exist = true;
                }
            }
            if($biography_customizer_class_exist){
                $biography_wp_customize->add_control(
                    new $biography_New_Customize_Custom_Control_class_name(
                        $biography_wp_customize,
                        esc_attr( $biography_customizer_name.'['.$biography_setting_control_key.']'),
                        $biography_settings_control['control']
                    )
                );
            }
            else {
                /*no control found*/
            }
        }
    }
endif;