<?php
if ( ! function_exists( 'biography_home_portfolio_array' ) ) :
    /**
     * Featured Slider array creation
     *
     * @since Bizlight 1.0.0
     *
     * @param string $from_portfolio
     * @return array
     */
    function biography_home_portfolio_array( $from_portfolio ){
        global $biography_customizer_all_values;
        $biography_home_portfolio_number = absint($biography_customizer_all_values['biography-home-portfolio-number']);
        $biography_home_portfolio_single_words = absint($biography_customizer_all_values['biography-home-portfolio-single-words']);

        $biography_home_portfolio_contents_array = array();

        $biography_home_portfolio_contents_array[0]['biography-home-portfolio-title'] = esc_html__('Web Developing', 'biography');
        $biography_home_portfolio_contents_array[0]['biography-home-portfolio-image'] = get_template_directory_uri().'/assets/img/thumb1.png';
        $biography_home_portfolio_contents_array[0]['biography-home-portfolio-link'] = '#';

        $biography_home_portfolio_contents_array[1]['biography-home-portfolio-title'] = esc_html__('Photography', 'biography');
        $biography_home_portfolio_contents_array[1]['biography-home-portfolio-image'] =  get_template_directory_uri().'/assets/img/thumb1.png';
        $biography_home_portfolio_contents_array[1]['biography-home-portfolio-link'] = '#';

        $biography_home_portfolio_contents_array[2]['biography-home-portfolio-title'] = esc_html__('Customer Support', 'biography');
        $biography_home_portfolio_contents_array[2]['biography-home-portfolio-image'] =  get_template_directory_uri().'/assets/img/thumb1.png';
        $biography_home_portfolio_contents_array[2]['biography-home-portfolio-link'] = '#';

        $biography_home_portfolio_args = array();
        if ( 'from-category' ==  $from_portfolio ){
            $biography_home_portfolio_category = $biography_customizer_all_values['biography-home-portfolio-category'];
            if( 0 != $biography_home_portfolio_category ){
                $biography_home_portfolio_cat_all = $biography_customizer_all_values['biography-home-portfolio-cat-all'];
                if( 1 == $biography_home_portfolio_cat_all ){
                    $biography_home_portfolio_number = -1;
                }
                $biography_home_portfolio_args =    array(
                    'post_type' => 'post',
                    'cat' => $biography_home_portfolio_category,
                    'posts_per_page' => $biography_home_portfolio_number
                );
            }
        }
        elseif ( 'from-page' ==  $from_portfolio ){
            $biography_repeated_array = array( 'biography-home-portfolio-pages-ids' );
            $biography_home_portfolio_posts = biography_get_repeated_all_value( 3, $biography_repeated_array );
            $biography_home_portfolio_posts_ids = array();

            if( null != $biography_home_portfolio_posts ) {
                foreach( $biography_home_portfolio_posts as $biography_home_portfolio_post ) {
                    if( 0 != $biography_home_portfolio_post['biography-home-portfolio-pages-ids'] ){
                        $biography_home_portfolio_posts_ids[] = $biography_home_portfolio_post['biography-home-portfolio-pages-ids'];

                    }
                }
                if( !empty( $biography_home_portfolio_posts_ids )){
                    $biography_home_portfolio_args =    array(
                        'post_type' => 'page',
                        'post__in' => $biography_home_portfolio_posts_ids,
                        'posts_per_page' => $biography_home_portfolio_number,
                        'orderby' => 'post__in'
                    );
                }
            }
        }
        // the query
        if( !empty( $biography_home_portfolio_args )){
            $biography_home_portfolio_contents_array = array(); /*again empty array*/
            $biography_home_portfolio_post_query = new WP_Query( $biography_home_portfolio_args );
            if ( $biography_home_portfolio_post_query->have_posts() ) :
                $i = 0;
                while ( $biography_home_portfolio_post_query->have_posts() ) : $biography_home_portfolio_post_query->the_post();
                    $biography_home_portfolio_contents_array[$i]['biography-home-portfolio-title'] = get_the_title();
                    $url = get_template_directory_uri().'/assets/img/no-image.jpg';
                    if(has_post_thumbnail()){
                        $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'biography-pro-portfolio' );
                        $url = $thumb['0'];
                    }
                    $biography_home_portfolio_contents_array[$i]['biography-home-portfolio-image'] = $url;
                    $biography_home_portfolio_contents_array[$i]['biography-home-portfolio-link'] = get_permalink();
                    $i++;
                endwhile;
                wp_reset_postdata();
            endif;
        }
        return $biography_home_portfolio_contents_array;
    }
endif;

if ( ! function_exists( 'biography_home_portfolio' ) ) :
    /**
     * Featured Slider
     *
     * @since Bizlight 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_home_portfolio() {
        global $biography_customizer_all_values;
        if( 1 != $biography_customizer_all_values['biography-home-portfolio-enable'] ){
            return null;
        }
        $biography_home_portfolio_selection_options = $biography_customizer_all_values['biography-home-portfolio-selection'];
        $biography_portfolio_arrays = biography_home_portfolio_array( $biography_home_portfolio_selection_options );
        if( is_array( $biography_portfolio_arrays )){
            $biography_home_portfolio_title = $biography_customizer_all_values['biography-home-portfolio-title'];
            $biography_home_portfolio_column = $biography_customizer_all_values['biography-home-portfolio-column'];
            $biography_home_portfolio_button_text = $biography_customizer_all_values['biography-home-portfolio-button-text'];
            $biography_home_portfolio_button_link = $biography_customizer_all_values['biography-home-portfolio-button-link'];
            $biography_home_portfolio_enable_single_link = $biography_customizer_all_values['biography-home-portfolio-enable-single-link'];

            if( 1 == $biography_home_portfolio_column ){
                $col = 'col-md-12';
            }
            elseif( 2 == $biography_home_portfolio_column ){
                $col = 'col-md-6';
            }
            elseif( 3 == $biography_home_portfolio_column ){
                $col = 'col-md-4';
            }
            elseif( 4 == $biography_home_portfolio_column ){
                $col = 'col-md-3';
            }
            else{
                $col = 'col-md-3';
            }
            ?>
            <section class="wrapper wrap-portfolio">
                <div class="container portfolio-content">
                    <?php if(!empty( $biography_home_portfolio_title ) ){
                        ?>
                        <div class="block-title">
                            <h2>
                                <?php echo esc_html( $biography_home_portfolio_title );?>
                            </h2>
                            <div class="title-divider"><span></span></div>
                        </div>
                        <?php
                    }?>
                    <div class="row overhidden">
                        <?php
                        $i = 1;
                        $data_delay = 0;
                        foreach( $biography_portfolio_arrays as $biography_portfolio_array ){
                            $data_wow_delay = 'data-wow-delay='.$data_delay.'s';
                            ?>
                            <div class="item <?php echo esc_attr( $col )?> col-sm-6 col-xs-12 biography-animate slideInUp"  <?php echo esc_attr( $data_wow_delay );?>>
                                <?php
                                if( 1 == $biography_home_portfolio_enable_single_link ){
                                ?>
                                <a href="<?php echo esc_url( $biography_portfolio_array['biography-home-portfolio-link'] );?>" title="<?php echo esc_attr( $biography_portfolio_array['biography-home-portfolio-title'] );?>">
                                    <?php
                                    }
                                    ?>
                                    <div class="content">
                                        <div class="overlay">
                                            <div class="valign-container">
                                                <div class="text valign-content">
                                                    <span class="project-name">
                                                        <?php echo esc_html( $biography_portfolio_array['biography-home-portfolio-title'] );?>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="image">
                                            <img alt="<?php echo esc_attr( $biography_portfolio_array['biography-home-portfolio-title'] );?>" src="<?php echo esc_url( $biography_portfolio_array['biography-home-portfolio-image'] );?>">
                                        </div>
                                    </div><!--/.content -->
                                    <?php
                                    if( 1 == $biography_home_portfolio_enable_single_link ){
                                    ?>
                                </a>
                            <?php
                            }
                            ?>
                            </div>
                            <?php
                            if( $i % $biography_home_portfolio_column == 0 ){
                                echo "<div class='clearfix'></div>";
                            }
                            if( $i % $biography_home_portfolio_column == 0 ){
                                $data_delay = 0;
                            }
                            else{
                                $data_delay = $data_delay + 0.5;
                            }
                            $i++;
                        }
                        ?>
                    </div>
                    <?php
                    if( !empty( $biography_home_portfolio_button_link ) && !empty( $biography_home_portfolio_button_text ) ){
                        ?>
                        <div class="btn-container">
                            <a class="button button-link" href="<?php echo esc_url( $biography_home_portfolio_button_link );?>">
                                <?php echo esc_html( $biography_home_portfolio_button_text );?>
                            </a>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </section><!-- portfolio section -->
            <?php
        }
        ?>
        <?php
    }
endif;
add_action( 'portfolio', 'biography_home_portfolio',10 );
